Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0037314
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementmajoralways2017-11-16 18:272018-01-03 12:39
ReporterngarciaView Statuspublic 
Assigned Tocollazoandy4 
PriorityurgentResolutionfixedFixed in Version3.0PR18Q1
StatusclosedFix in branchFixed in SCM revision428b379554bc
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0037314: Gross Unit Price is updated to 0 if a sales invoice line from a Return Material Receipt is modified and price includes taxes

DescriptionGross Unit Price is updated to 0 if a sales invoice line from a Return Material Receipt is modified and price includes taxes. Base Gross Unit Price is 0
Steps To ReproduceAs group admin role:
   Set a sales price list as Price includes Tax
   Create a Sales Order, Goods Shipment and Sales Invoice with that price list
   Create a Return From Customer and Return Material Receipt
   Create a Sales Invoice
   Select the Return Material Receipt line in Create Lines From Process
   Edit the quantity (you could set the same one)
   Check the Gross Unit Price is updated to 0. And thus, the following fields:
      Line Gross Amount
      Line Net Amount
      Total Net Amount
      Total Gross Amount

   The problem is also reproduced if the invoice is created from the Created Credit process of Return From Customer window and then reactivated and modified
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0038085 closedmarkmm82 Prices in Invoice lines of discounts copied by Copy Lines process are updated to 0 when completing if a price adjustment exists 

-  Notes
(0100632)
collazoandy4 (developer)
2017-11-20 21:09

As F&B International Group Admin role
    Go to Price List and set Tarifa de ventas as Price include Tax
    Go to Sales Order and create a new record for Alimentos y Supermercados, S.A bp using Tarifa de ventas as Price list:
      Create a new record in Lines tab:
        Product: Zumo de PiƱa 0,5L
        Ordered Quantity: 10
      Complete the order
    Create a Goods Shipment from the previous order (using Create Lines From) and Complete it
    Create a Sales Invoice from the previous shipment and Complete it
    Go to Return From Customer window and create a new record:
      Price List: Tarifa de ventas
      Invoice Terms: Immediate
      Business Partner: Alimentos y Supermercados, S.A
      Using the Pick/Edit Lines select the previous shipment and return all units
      Click on Done button and check new Line was created to the RFC
      Navigate in the database to the new created c_orderline and check the value of grosspricestd column is 1.13
      Complete the RFC
    Creta a Return Material receipt for the previous return
    Create a Sales Invocie from the previous return
      Edit the invoiced quantity and check that the gross unit price doesn't change to 0
(0100818)
hgbot (developer)
2017-11-30 09:12

Repository: erp/devel/pi
Changeset: 428b379554bc4cb317fb650d9e39146788257253
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Mon Nov 20 14:43:52 2017 -0500
URL: http://code.openbravo.com/erp/devel/pi/rev/428b379554bc4cb317fb650d9e39146788257253 [^]

Fixes issue 37314: Gross Unit Price is updated to 0 if a sales invoice line from
a Return Material Receipt is modified and price includes taxes

When invoicing from a Return Material Receipt related to a price list with
price include taxes to Y the order line doesn't take into account the base gross
unit price

Now when creating an order line in the Return From Customer process the base
gross unit price value is computed and saved

---
M src/org/openbravo/common/actionhandler/SRMOPickEditLines.java
---
(0100819)
hgbot (developer)
2017-11-30 09:12

Repository: erp/devel/pi
Changeset: a1200492f2685fe28ef8c0e504e2e72c4cd2a330
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Tue Nov 28 18:03:42 2017 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/a1200492f2685fe28ef8c0e504e2e72c4cd2a330 [^]

Related to Issue 37314. Code Review changes.

If no unit price in the line selected, assign the standard price
to the base gross unit price

---
M src/org/openbravo/common/actionhandler/SRMOPickEditLines.java
---
(0100826)
dmiguelez (developer)
2017-11-30 09:22

Code Review + Testing Ok
(0101498)
hudsonbot (developer)
2018-01-03 12:39

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c81e0d3cbab5 [^]
Maturity status: Test
(0101499)
hudsonbot (developer)
2018-01-03 12:39

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c81e0d3cbab5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-11-16 18:27 ngarcia New Issue
2017-11-16 18:27 ngarcia Assigned To => Triage Finance
2017-11-16 18:27 ngarcia Modules => Core
2017-11-16 18:27 ngarcia Triggers an Emergency Pack => No
2017-11-16 18:28 ngarcia Issue Monitored: networkb
2017-11-17 19:45 dmiguelez Assigned To Triage Finance => collazoandy4
2017-11-17 20:48 collazoandy4 Status new => scheduled
2017-11-20 21:09 collazoandy4 Note Added: 0100632
2017-11-30 09:12 hgbot Checkin
2017-11-30 09:12 hgbot Note Added: 0100818
2017-11-30 09:12 hgbot Status scheduled => resolved
2017-11-30 09:12 hgbot Resolution open => fixed
2017-11-30 09:12 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/428b379554bc4cb317fb650d9e39146788257253 [^]
2017-11-30 09:12 hgbot Checkin
2017-11-30 09:12 hgbot Note Added: 0100819
2017-11-30 09:22 dmiguelez Review Assigned To => dmiguelez
2017-11-30 09:22 dmiguelez Note Added: 0100826
2017-11-30 09:22 dmiguelez Status resolved => closed
2017-11-30 09:22 dmiguelez Fixed in Version => 3.0PR18Q1
2018-01-03 12:39 hudsonbot Checkin
2018-01-03 12:39 hudsonbot Note Added: 0101498
2018-01-03 12:39 hudsonbot Checkin
2018-01-03 12:39 hudsonbot Note Added: 0101499
2018-03-08 15:55 ngarcia Relationship added blocks 0038085
2018-03-08 16:01 ngarcia Relationship replaced related to 0038085


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker